Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.
GET
/
v2
/
chains
/
{chainId}
/
rollingWindowMetrics
/
{metric}
JavaScript
import { Avalanche } from "@avalanche-sdk/chainkit";
const avalanche = new Avalanche({
chainId: "43114",
});
async function run() {
const result = await avalanche.metrics.chains.getRollingWindowMetrics({
metric: "txCount",
});
console.log(result);
}
run();
curl --request GET \
--url https://metrics.avax.network/v2/chains/{chainId}/rollingWindowMetrics/{metric}
Array of current metrics values for different windows.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Avalanche APIs \u0026 SDKs Documentation","colors":{"primary":"#FF394A","light":"#FF6673","dark":"#FF394A"},"logo":{"light":"https://mintcdn.com/avalabs-47ea3976/aMFVWopw05lo-Yr3/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=aMFVWopw05lo-Yr3\u0026q=85\u0026s=58b1edd9671d525af4dad6fa86626763","dark":"https://mintcdn.com/avalabs-47ea3976/aMFVWopw05lo-Yr3/logo/logo-dark.svg?fit=max\u0026auto=format\u0026n=aMFVWopw05lo-Yr3\u0026q=85\u0026s=8fbf7146fe796f7ec0457a6f800151e2"},"favicon":"/favicon.png","api":{"playground":{"proxy":false}},"background":{"color":{"light":"#FFFFFF","dark":"#000000"}},"navbar":{"links":[{"label":"Academy","href":"https://academy.avax.network/"},{"label":"Support","href":"https://discord.gg/avax"}],"primary":{"type":"button","label":"Get API Keys","href":"https://build.avax.network/console/utilities/data-api-keys"}},"footer":{"socials":{"x":"https://x.com/AvaxDevelopers","github":"https://github.com/ava-labs","youtube":"https://www.youtube.com/@Avalancheavax","discord":"https://discord.gg/avax","medium":"https://medium.com/@avaxdevelopers"}},"seo":{"metatags":{"og:image":"https://github.com/javiertc/image/blob/main/og-avalanche-api-documentation.png?raw=True","og:description":"Accelerate your development across 100+ Layer 1 blockchains with powerful SDKs, APIs, guides, and tutorials.","og:site_name":"Avalanche API Documentation","og:site_logo":"https://cdn.prod.website-files.com/632993e1d1acbfa5635afd0b/66e44b097229055c691e7555_AvalancheLogo_Horizontal_4C_White.svg","twitter:site":"@AvaxDevelopers","twitter:card":"summary_large_image","twitter:title":"Avalanche API Documentation","twitter:description":"Accelerate your development across 100+ Layer 1 blockchains with powerful SDKs, APIs, guides, and tutorials.","twitter:image":"https://github.com/javiertc/image/blob/main/og-avalanche-api-documentation.png?raw=True","twitter:image:alt":"Avalanche API Documentation"},"indexing":"navigable"},"contextual":{"options":["copy","view","chatgpt","claude"]},"navigation":{"global":{"anchors":[{"anchor":"Builder Hub","icon":"laptop-code","href":"https://build.avax.network/"},{"anchor":"Academy","icon":"book-open-cover","href":"https://academy.avax.network/"},{"anchor":"Community","icon":"discord","href":"https://discord.gg/avax"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"avalabs-47ea3976","hasAudioNarration":false,"actualSubdomain":"avalabs-47ea3976","customDomains":["developers.avacloud.io"],"gitSource":{"type":"github","owner":"ava-labs","repo":"avacloud-dev-doc","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21f61352911a466b87d2b6","collectionId":"c7df53f0-2d8a-43a6-82bc-817ca99ed761","schemaVersion":"v2"},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a21f61352911a466b87d2b6:success","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"Data API","count":81},{"language":"default","tag":"RPC API","count":34},{"language":"default","tag":"EVM","count":33},{"language":"default","tag":"Platform Chain (P-Chain)","count":30},{"language":"default","tag":"Primary Network","count":25},{"language":"default","tag":"Webhooks API","count":24},{"language":"default","tag":"Get Started","count":23},{"language":"default","tag":"Transactions","count":20},{"language":"default","tag":"Metrics API","count":14},{"language":"default","tag":"Avalanche SDK","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@keyframes dropdownFadeIn{0%{opacity:0;transform:translateY(-5px)}to{opacity:1;transform:translateY(0)}}:root{--primary-color:#ff3649;--primary-hover:#ff394a;--text-gray:#333;--text-gray-light:#7979797a;--bg-hover-light:#f5f5f5;--bg-hover-dark:#2a2a2a;--bg-dark:#1a1a1a;--border-dark:#333;--spacing-xs:4px;--spacing-sm:8px;--spacing-md:10px;--spacing-lg:20px;--spacing-xl:40px;--font-weight-normal:500;--font-weight-bold:600;--transition-fast:0.2s ease;--transition-normal:0.3s ease}.text-5xl{font-size:3rem;line-height:1}.text-4xl{font-size:2.25rem;line-height:2.5rem}.text-3xl{font-size:1.875rem;line-height:2.25rem}.text-2xl,.text-xl{font-size:1.5rem;line-height:2rem}.text-lg p{font-size:1.025rem}.search-buttons{display:flex;flex-wrap:wrap;justify-content:center;gap:var(--spacing-md)}.search-buttons a{text-decoration:none;padding:var(--spacing-md) var(--spacing-lg);border-radius:30px;display:inline-block;font-size:16px;border:1px solid var(--text-gray-light);font-weight:var(--font-weight-normal);transition:background-color var(--transition-normal),color var(--transition-normal),border var(--transition-normal)}.search-buttons a:hover{background-color:var(--primary-color);color:#fff;border-color:var(--primary-color)}.footer{min-height:10rem;overflow:hidden;margin-top:var(--spacing-xl)}.footer-container{width:1376px;max-width:100%;display:flex;justify-content:space-between}.custom-item{flex:1}.custom-item img{pointer-events:none;user-select:none;cursor:default}.logo{margin-bottom:var(--spacing-md);margin-left:var(--spacing-lg)}.item-1{height:50px;display:flex;justify-content:flex-start;align-items:center;margin-left:-20px}.item-2{min-width:211px}.item-3{width:fit-content}.item-justify-end{display:flex;justify-content:flex-end}.navbar-dropdown{position:relative;display:inline-block}.navbar-dropdown::before{content:'';position:absolute;top:100%;left:-10px;right:-10px;height:20px;z-index:999}.navbar-dropdown-content{display:none;position:absolute;background-color:#fff;min-width:280px;box-shadow:0 8px 16px 0 rgba(0,0,0,.2);z-index:1000;border-radius:8px;padding:var(--spacing-sm) 0;margin-top:var(--spacing-xs);left:0;animation:dropdownFadeIn .2s ease-out;pointer-events:auto}.dark .navbar-dropdown-content{background-color:var(--bg-dark);border:1px solid var(--border-dark)}.navbar-dropdown-content a{color:var(--text-gray);padding:14px var(--spacing-lg);text-decoration:none;display:flex;align-items:center;gap:var(--spacing-md);font-size:14px;transition:background-color var(--transition-fast);width:100%;box-sizing:border-box}.dark .navbar-dropdown-content a{color:#fff}.navbar-dropdown-content a:hover{background-color:var(--bg-hover-light)}.dark .navbar-dropdown-content a:hover{background-color:var(--bg-hover-dark)}.navbar-dropdown-content a i.lucide,.navbar-dropdown-content a svg{width:16px;height:16px;flex-shrink:0}.navbar-dropdown-content a i.lucide{display:inline-flex;align-items:center;justify-content:center}.navbar-dropdown>a{display:flex;align-items:center;gap:var(--spacing-xs);cursor:pointer;user-select:none}.navbar-dropdown>a::after{content:'';display:inline-block;width:0;height:0;margin-left:var(--spacing-xs);vertical-align:middle;border-top:4px solid;border-right:4px solid transparent;border-bottom:0;border-left:4px solid transparent;transition:transform .2s ease}.navbar-dropdown.open>a::after{transform:rotate(180deg)}@media (max-width:800px){.footer-container{width:100%;padding:0 20px}.custom-item{min-width:300px}.item-1,.item-2{order:1;justify-content:center}.item-2{order:3;margin-top:50px}.item-3{order:2}.item-3,.item-justify-end{justify-content:center}}"}],"page":{"pagePath":"metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains","slug":"/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains","pageMetadata":{"openapi":"get /v2/chains/{chainId}/rollingWindowMetrics/{metric}","title":"Get rolling window metrics for EVM chains","description":"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.","href":"/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v2/chains/{chainId}/rollingWindowMetrics/{metric}","title":"Get rolling window metrics for EVM chains","description":"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.","href":"/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/avalabs-47ea3976/c3ff25aa46861ed7/replace_lang_label.js","/_mintlify/custom/avalabs-47ea3976/532b775fb039c6cf/custom.js"],"openApiReferenceData":{"operation":{"operationId":"getEvmChainRollingWindowMetrics","x-execution-weight":"small","x-speakeasy-group":"metrics.chains","x-speakeasy-name-override":"getRollingWindowMetrics","summary":"Get rolling window metrics for EVM chains","x-codeSamples":[{"lang":"javascript","label":"JavaScript","source":"import { Avalanche } from \"@avalanche-sdk/chainkit\";\n\nconst avalanche = new Avalanche({\n chainId: \"43114\",\n});\n\nasync function run() {\n const result = await avalanche.metrics.chains.getRollingWindowMetrics({\n metric: \"txCount\",\n });\n\n console.log(result);\n}\n\nrun();"}],"description":"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.","parameters":["7813178c-2ef1-45ea-85a0-43936862dbb5","054e3fdd-d18c-4d0c-b86d-8455c70b0607"],"responses":{"200":"c7d1d23f-581e-465d-9e10-ff2942cfae6f","400":"d7e170d4-4f86-4ced-a6e9-23d5e95511da","401":"42a603ea-c105-42b2-87f5-30e3c433f016","403":"c445aca0-4482-4c1c-9eee-5422898b90cd","404":"e468e5e0-e99c-4f9a-b919-b0bed561ebc3","429":"18db3d48-c506-44df-8f15-7dda297d90be","500":"cff205fb-81f7-4f6b-b5c5-ef81b4c73de8","502":"d5f22195-3206-4954-ae75-41e7428626ee","503":"45116563-bf57-47e9-9bc6-35cb1c47324d"},"tags":["Chain Metrics"],"method":"get","type":"path","servers":["3f8c90d8-8443-4ee7-b3a8-37aa5b23ece6"],"security":[],"path":"/v2/chains/{chainId}/rollingWindowMetrics/{metric}","baseUrlOptions":["https://metrics.avax.network"],"title":"Get rolling window metrics for EVM chains","codeSamples":[{"label":"JavaScript","lang":"javascript","source":"import { Avalanche } from \"@avalanche-sdk/chainkit\";\n\nconst avalanche = new Avalanche({\n chainId: \"43114\",\n});\n\nasync function run() {\n const result = await avalanche.metrics.chains.getRollingWindowMetrics({\n metric: \"txCount\",\n });\n\n console.log(result);\n}\n\nrun();"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated","disableProxy":true},"dependencies":{"parameters":{"7813178c-2ef1-45ea-85a0-43936862dbb5":{"name":"metric","required":true,"in":"path","description":"Which chain level metric to fetch for the rolling window.","example":"txCount","schema":{"type":"string","enum":["gasUsed","txCount","avgGps","maxGps","avgTps","maxTps","avgGasPrice","maxGasPrice","feesPaid","contracts","deployers","activeAddresses","activeSenders"],"isRequired":true,"description":"Which chain level metric to fetch for the rolling window.","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"054e3fdd-d18c-4d0c-b86d-8455c70b0607":{"name":"chainId","required":true,"in":"path","description":"A supported EVM chain ID or one of \"total\", \"mainnet\", or \"testnet\". Use the `/chains` endpoint to get a list of supported chain IDs.","example":"43114","schema":{"type":"string","isRequired":true,"description":"A supported EVM chain ID or one of \"total\", \"mainnet\", or \"testnet\". Use the `/chains` endpoint to get a list of supported chain IDs.","uniqueKey":"","typeLabel":"string"}}},"responses":{"c7d1d23f-581e-465d-9e10-ff2942cfae6f":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","description":"Array of current metrics values for different windows.","properties":{"lastHour":{"type":"number","description":"Aggregated value for the current metrics in last hour.","uniqueKey":"result.lastHour","typeLabel":"number"},"lastDay":{"type":"number","description":"Aggregated value for the current metrics in last day.","uniqueKey":"result.lastDay","typeLabel":"number"},"lastWeek":{"type":"number","description":"Aggregated value for the current metrics in last week.","uniqueKey":"result.lastWeek","typeLabel":"number"},"lastMonth":{"type":"number","description":"Aggregated value for the current metrics in last month.","uniqueKey":"result.lastMonth","typeLabel":"number"},"last90Days":{"type":"number","description":"Aggregated value for the current metrics in last 90 days.","uniqueKey":"result.last90Days","typeLabel":"number"},"lastYear":{"type":"number","description":"Aggregated value for the current metrics in last year.","uniqueKey":"result.lastYear","typeLabel":"number"},"allTime":{"type":"number","description":"Aggregated value for the current metrics for all time.","uniqueKey":"result.allTime","typeLabel":"number"}},"isRequired":true,"uniqueKey":"result","typeLabel":"object"}},"required":["result"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"result":{"lastHour":123,"lastDay":123,"lastWeek":123,"lastMonth":123,"last90Days":123,"lastYear":123,"allTime":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"d7e170d4-4f86-4ced-a6e9-23d5e95511da":{"description":"Bad requests generally mean the client has passed invalid \n or malformed parameters. Error messages in the response could help in \n evaluating the error.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[400],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Bad Request"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":400,"error":"Bad Request"}}},"exampleType":"generated"}},"exampleType":"generated"},"42a603ea-c105-42b2-87f5-30e3c433f016":{"description":"When a client attempts to access resources that require \n authorization credentials but the client lacks proper authentication \n in the request, the server responds with 401.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[401],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Unauthorized"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":401,"error":"Unauthorized"}}},"exampleType":"generated"}},"exampleType":"generated"},"c445aca0-4482-4c1c-9eee-5422898b90cd":{"description":"When a client attempts to access resources with valid\n credentials but doesn't have the privilege to perform that action, \n the server responds with 403.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[403],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Forbidden"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":403,"error":"Forbidden"}}},"exampleType":"generated"}},"exampleType":"generated"},"e468e5e0-e99c-4f9a-b919-b0bed561ebc3":{"description":"The error is mostly returned when the client requests\n with either mistyped URL, or the passed resource is moved or deleted, \n or the resource doesn't exist.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[404],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Not Found"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":404,"error":"Not Found"}}},"exampleType":"generated"}},"exampleType":"generated"},"18db3d48-c506-44df-8f15-7dda297d90be":{"description":"This error is returned when the client has sent too many,\n and has hit the rate limit.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[429],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Too Many Requests"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":429,"error":"Too Many Requests"}}},"exampleType":"generated"}},"exampleType":"generated"},"cff205fb-81f7-4f6b-b5c5-ef81b4c73de8":{"description":"The error is a generic server side error that is \n returned for any uncaught and unexpected issues on the server side. \n This should be very rare, and you may reach out to us if the problem \n persists for a longer duration.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[500],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Internal Server Error"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":500,"error":"Internal Server Error"}}},"exampleType":"generated"}},"exampleType":"generated"},"d5f22195-3206-4954-ae75-41e7428626ee":{"description":"This is an internal error indicating invalid response \n received by the client-facing proxy or gateway from the upstream server.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[502],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Bad Gateway"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":502,"error":"Bad Gateway"}}},"exampleType":"generated"}},"exampleType":"generated"},"45116563-bf57-47e9-9bc6-35cb1c47324d":{"description":"The error is returned for certain routes on a particular\n Subnet. This indicates an internal problem with our Subnet node, and may \n not necessarily mean the Subnet is down or affected.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"The error message describing the reason for the exception","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"statusCode":{"type":"number","description":"The HTTP status code of the response","examples":[503],"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"error":{"type":"string","description":"The type of error","examples":["Service Unavailable"],"isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["message","statusCode","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","statusCode":503,"error":"Service Unavailable"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"3f8c90d8-8443-4ee7-b3a8-37aa5b23ece6":{"url":"https://metrics.avax.network"}}},"originalFileLocation":"metrics-api/metrics-api.yaml"},"subdomain":"avalabs-47ea3976","siteName":"Avalanche APIs \u0026 SDKs Documentation","title":"Get rolling window metrics for EVM chains - Avalanche APIs \u0026 SDKs Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-11-04T15:38:10.068Z","originalFileLocation":"metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Avalanche APIs \u0026amp; SDKs Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get rolling window metrics for EVM chains - Avalanche APIs \u0026amp; SDKs Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Accelerate your development across 100+ Layer 1 blockchains with powerful SDKs, APIs, guides, and tutorials.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Avalanche API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://github.com/javiertc/image/blob/main/og-avalanche-api-documentation.png?raw=True\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Avalanche API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Accelerate your development across 100+ Layer 1 blockchains with powerful SDKs, APIs, guides, and tutorials.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://github.com/javiertc/image/blob/main/og-avalanche-api-documentation.png?raw=True\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/avalabs-47ea3976/G_eb2HoilfFk1IGX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Avalanche APIs \u0026amp; SDKs Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF394A\">\u003cmeta data-mint-head name=\"og:site_logo\" content=\"https://cdn.prod.website-files.com/632993e1d1acbfa5635afd0b/66e44b097229055c691e7555_AvalancheLogo_Horizontal_4C_White.svg\">\u003cmeta data-mint-head name=\"twitter:image:alt\" content=\"Avalanche API Documentation\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.avacloud.io/#organization\",\"name\":\"Avalanche APIs \u0026 SDKs Documentation\",\"url\":\"https://developers.avacloud.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/avalabs-47ea3976/aMFVWopw05lo-Yr3/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=aMFVWopw05lo-Yr3\u0026q=85\u0026s=58b1edd9671d525af4dad6fa86626763\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.avacloud.io#website\",\"name\":\"Avalanche APIs \u0026 SDKs Documentation\",\"url\":\"https://developers.avacloud.io\",\"publisher\":{\"@id\":\"https://developers.avacloud.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains#webpage\",\"url\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains\",\"name\":\"Get rolling window metrics for EVM chains\",\"description\":\"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.\",\"dateModified\":\"2025-11-04T15:38:10.068Z\",\"isPartOf\":{\"@id\":\"https://developers.avacloud.io#website\"},\"breadcrumb\":{\"@id\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Chain Metrics\",\"item\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-metrics-for-evm-chains\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Chains, Staking \u0026 Teleporter\",\"item\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-metrics-for-evm-chains\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get rolling window metrics for EVM chains\",\"item\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains#apireference\",\"headline\":\"Get rolling window metrics for EVM chains\",\"name\":\"Get rolling window metrics for EVM chains\",\"description\":\"Gets the rolling window metrics for an EVM chain for the last hour, day, week, month, 90 days, year, and all time. Active addresses/active senders only support last hour, day, and week.\",\"url\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains\",\"mainEntityOfPage\":{\"@id\":\"https://developers.avacloud.io/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains#webpage\"},\"image\":\"https://github.com/javiertc/image/blob/main/og-avalanche-api-documentation.png?raw=True\",\"dateModified\":\"2025-11-04T15:38:10.068Z\",\"publisher\":{\"@id\":\"https://developers.avacloud.io/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.avacloud.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Avalanche APIs \u0026 SDKs Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Avalanche APIs \u0026 SDKs Documentation","nav":{"global":{"anchors":[{"anchor":"Builder Hub","icon":"laptop-code","href":"https://build.avax.network/"},{"anchor":"Academy","icon":"book-open-cover","href":"https://academy.avax.network/"},{"anchor":"Community","icon":"discord","href":"https://discord.gg/avax"}]},"tabs":[{"tab":"API Reference","pages":[{"title":"API Reference","href":"/introduction"}]},{"tab":"Data API","pages":[{"title":"Data API","href":"/data-api/overview"}]},{"tab":"Webhooks API","pages":[{"title":"Webhooks API","href":"/webhooks-api/overview"}]},{"tab":"Metrics API","groups":[{"group":"Get Started","pages":[{"title":"Overview","icon":"ballot-check","href":"/metrics-api/overview"},{"title":"Getting Started","icon":"rocket","mode":"wide","href":"/metrics-api/getting-started"},{"title":"Usage Guide","icon":"code","href":"/metrics-api/usage-guide"},{"title":"Rate Limits","icon":"monitor-waveform","href":"/metrics-api/rate-limits"}]},{"group":"Health Check","pages":[{"group":"Health Check","icon":"heart-pulse","pages":[{"openapi":"get /v2/health-check","title":"Get the health of the service","href":"/metrics-api/health-check/get-the-health-of-the-service"}]}]},{"group":"EVM","pages":[{"group":"Chains","icon":"link","pages":[{"openapi":"get /v2/chains","title":"Get a list of supported blockchains","href":"/metrics-api/evm-chains/get-a-list-of-supported-blockchains"},{"openapi":"get /v2/chains/{chainId}","title":"Get chain information for supported blockchain","href":"/metrics-api/evm-chains/get-chain-information-for-supported-blockchain"}]}]},{"group":"Chain Metrics","pages":[{"group":"Chains, Staking \u0026 Teleporter","icon":"chart-line-up","pages":[{"openapi":"get /v2/chains/{chainId}/metrics/{metric}","title":"Get metrics for EVM chains","description":"EVM chain metrics are available for all Avalanche L1s on _Mainnet_ and _Fuji_ (testnet). You can request metrics by EVM chain ID. See the `/chains` endpoint for all supported chains.\n\nAll metrics are updated several times every hour. Each metric data point has a `value` and `timestamp` (Unix timestamp in seconds). All metric values include data within the duration of the associated timestamp plus the requested `timeInterval`. All timestamps are fixed to the hour. When requesting a timeInterval of **day**, **week**, or **month**, the timestamp will be 0:00 UTC of the day, Monday of the week, or first day of the month, respectively. The latest data point in any response may change on each update.\n\n### Metrics\n\n\u003cins>activeAddresses\u003c/ins>: The number of distinct addresses seen within the selected `timeInterval` starting at the timestamp. Addresses counted are those that appear in the “from” and “to” fields of a transaction or ERC20/ERC721/ERC1155 transfer log event.\n\n\u003cins>activeSenders\u003c/ins>: This metric follows the same structure as activeAddresses, but instead only counts addresses that appear in the “from” field of the respective transaction or transfer log event.\n\n\u003cins>cumulativeTxCount\u003c/ins>: The cumulative transaction count from genesis up until 24 hours after the timestamp. This aggregation can be considered a “rolling sum” of the transaction count metric (txCount). Only `timeInterval=day` supported.\n\n\u003cins>cumulativeAddresses\u003c/ins>: The cumulative count of unique addresses from genesis up until 24 hours after the timestamp. Addresses counted are those that appear in the “from” and “to” fields of a transaction or ERC20/ERC721/ERC1155 transfer log event. Only `timeInterval=day` supported.\n\n\u003cins>cumulativeContracts\u003c/ins>: The cumulative count of contracts created from genesis up until the timestamp. Contracts are counted by looking for the CREATE, CREATE2, and CREATE3 call types in all transaction traces (aka internal transactions). Only `timeInterval=day` supported.\n\n\u003cins>cumulativeDeployers\u003c/ins>: The cumulative count of unique contract deployers from genesis up until 24 hours after the timestamp. Deployers counted are those that appear in the “from” field of transaction traces with the CREATE, CREATE2, and CREATE3 call types. Only `timeInterval=day` supported.\n\n\u003cins>contracts\u003c/ins>: The count of contracts created within the requested timeInterval starting at the timestamp. Contracts are counted by looking for the CREATE, CREATE2, and CREATE3 call types in all transaction traces (aka internal transactions). Only `timeInterval=day` supported.\n\n\u003cins>deployers\u003c/ins>: The count of unique deployers within the requested timeInterval starting at the timestamp. Deployers counted are those that appear in the “from” field of transaction traces with the CREATE, CREATE2, and CREATE3 call types. Only `timeInterval=day` supported.\n\n\u003cins>gasUsed\u003c/ins>: The amount of gas used by transactions within the requested timeInterval starting at the timestamp.\n\n\u003cins>txCount\u003c/ins>: The amount of transactions within the requested timeInterval starting at the timestamp.\n\n\u003cins>avgGps\u003c/ins>: The average Gas used Per Second (GPS) within the day beginning at the timestamp. The average is calculated by taking the sum of gas used by all blocks within the day and dividing it by the time interval between the last block of the previous day and the last block of the day that begins at the timestamp. Only `timeInterval=day` supported.\n\n\u003cins>maxGps\u003c/ins>: The max Gas used Per Second (GPS) measured within the day beginning at the timestamp. Each GPS data point is calculated using the gas used in a single block divided by the time since the last block. Only `timeInterval=day` supported.\n\n\u003cins>avgTps\u003c/ins>: The average Transactions Per Second (TPS) within the day beginning at the timestamp. The average is calculated by taking the sum of transactions within the day and dividing it by the time interval between the last block of the previous day and the last block of the day that begins at the timestamp. Only `timeInterval=day` supported.\n\n\u003cins>maxTps\u003c/ins>: The max Transactions Per Second (TPS) measured within the day beginning at the timestamp. Each TPS data point is calculated by taking the number of transactions in a single block and dividing it by the time since the last block. Only `timeInterval=day` supported.\n\n\u003cins>avgGasPrice\u003c/ins>: The average gas price within the day beginning at the timestamp. The gas price used is the price reported in transaction receipts. Only `timeInterval=day` supported.\n\n\u003cins>maxGasPrice\u003c/ins>: The max gas price seen within the day beginning at the timestamp. The gas price used is the price reported in transaction receipts. Only `timeInterval=day` supported.\n\n\u003cins>feesPaid\u003c/ins>: The sum of transaction fees paid within the day beginning at the timestamp. The fee is calculated as the gas used multiplied by the gas price as reported in all transaction receipts. Only `timeInterval=day` supported.","href":"/metrics-api/chain-metrics/get-metrics-for-evm-chains"},{"openapi":"get /v2/chains/{chainId}/rollingWindowMetrics/{metric}","title":"Get rolling window metrics for EVM chains","href":"/metrics-api/chain-metrics/get-rolling-window-metrics-for-evm-chains"},{"openapi":"get /v2/networks/{network}/metrics/{metric}","title":"Get staking metrics for a given subnet","description":"Gets staking metrics for a given subnet.","href":"/metrics-api/chain-metrics/get-staking-metrics-for-a-given-subnet"},{"openapi":"get /v2/chains/{chainId}/teleporterMetrics/{metric}","title":null,"href":"/metrics-api/chain-metrics/get-teleporter-metrics-for-evm-chains"},{"openapi":"get /v2/chains/{chainId}/contracts/{address}/balances","title":"Get addresses by balance over time","href":"/metrics-api/looking-glass/get-addresses-by-balance-over-time"},{"openapi":"get /v2/chains/43114/btcb/bridged:getAddresses","title":"Get addresses by BTCb bridged balance","href":"/metrics-api/looking-glass/get-addresses-by-btcb-bridged-balance"},{"openapi":"get /v2/subnets/{subnetId}/validators:getAddresses","title":"Get addresses running validators during a given time frame","href":"/metrics-api/looking-glass/get-addresses-running-validators-during-a-given-time-frame"}]}]}]},{"tab":"RPC API","pages":[{"title":"RPC API","href":"/rpc-api/overview"}]},{"tab":"Avalanche SDK","pages":[{"title":"Avalanche SDK","href":"/avalanche-sdk/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/changelog"}]}]},"basePath":"","title":"Get rolling window metrics for EVM chains - Avalanche APIs \u0026 SDKs Documentation","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}